curl --location --request GET 'https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/subtasks' \
--header 'Authorization: Bearer YOUR_API_KEY'
const response = await fetch("https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/subtasks", {
method: "GET",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);
import requests
url = "https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/subtasks"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
}
response = requests.get(url, headers=headers)
print(response.json())
[
{
"id": "9f8e7d6c-5b4a-3210-9876-543210fedcba",
"display_id": "#12",
"task_number": 12,
"title": "Review the Acme NDA",
"description": "Check the indemnity and termination clauses.",
"additional_context": "Counterparty has pushed back twice on liability caps.",
"status": "in_progress",
"priority": "high",
"team": {
"id": "1a2b3c4d-5e6f-7081-9200-aabbccddeeff",
"name": "Legal"
},
"creator": {
"id": "11111111-2222-3333-4444-555555555555",
"name": "Jane Doe",
"email": "jane@example.com"
},
"assigned_to": {
"id": "11111111-2222-3333-4444-555555555555",
"name": "Jane Doe",
"email": "jane@example.com"
},
"assigned_agent": null,
"assigned_team": null,
"matter": null,
"complete_by": "2026-01-01T00:00:00Z",
"tags": [
"nda",
"urgent"
],
"visibility": "customer",
"archived": false,
"draft": false,
"involved_people": [
{
"id": "11111111-2222-3333-4444-555555555555",
"name": "Jane Doe",
"email": "jane@example.com",
"role": "assignee",
"access_level": "write"
}
],
"shared_teams": [],
"linked_items": [],
"input_files": [],
"output_files": [],
"created_at": "2025-12-31T00:00:00Z",
"updated_at": "2025-12-31T01:00:00Z"
}
]
Tasks
List Subtasks
List the subtasks of a task.
GET
/
api
/
v1
/
tasks
/
{task_id}
/
subtasks
curl --location --request GET 'https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/subtasks' \
--header 'Authorization: Bearer YOUR_API_KEY'
const response = await fetch("https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/subtasks", {
method: "GET",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);
import requests
url = "https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/subtasks"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
}
response = requests.get(url, headers=headers)
print(response.json())
[
{
"id": "9f8e7d6c-5b4a-3210-9876-543210fedcba",
"display_id": "#12",
"task_number": 12,
"title": "Review the Acme NDA",
"description": "Check the indemnity and termination clauses.",
"additional_context": "Counterparty has pushed back twice on liability caps.",
"status": "in_progress",
"priority": "high",
"team": {
"id": "1a2b3c4d-5e6f-7081-9200-aabbccddeeff",
"name": "Legal"
},
"creator": {
"id": "11111111-2222-3333-4444-555555555555",
"name": "Jane Doe",
"email": "jane@example.com"
},
"assigned_to": {
"id": "11111111-2222-3333-4444-555555555555",
"name": "Jane Doe",
"email": "jane@example.com"
},
"assigned_agent": null,
"assigned_team": null,
"matter": null,
"complete_by": "2026-01-01T00:00:00Z",
"tags": [
"nda",
"urgent"
],
"visibility": "customer",
"archived": false,
"draft": false,
"involved_people": [
{
"id": "11111111-2222-3333-4444-555555555555",
"name": "Jane Doe",
"email": "jane@example.com",
"role": "assignee",
"access_level": "write"
}
],
"shared_teams": [],
"linked_items": [],
"input_files": [],
"output_files": [],
"created_at": "2025-12-31T00:00:00Z",
"updated_at": "2025-12-31T01:00:00Z"
}
]
Create a subtask by passing
parent_task_id when creating a task.
curl --location --request GET 'https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/subtasks' \
--header 'Authorization: Bearer YOUR_API_KEY'
const response = await fetch("https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/subtasks", {
method: "GET",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);
import requests
url = "https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/subtasks"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
}
response = requests.get(url, headers=headers)
print(response.json())
[
{
"id": "9f8e7d6c-5b4a-3210-9876-543210fedcba",
"display_id": "#12",
"task_number": 12,
"title": "Review the Acme NDA",
"description": "Check the indemnity and termination clauses.",
"additional_context": "Counterparty has pushed back twice on liability caps.",
"status": "in_progress",
"priority": "high",
"team": {
"id": "1a2b3c4d-5e6f-7081-9200-aabbccddeeff",
"name": "Legal"
},
"creator": {
"id": "11111111-2222-3333-4444-555555555555",
"name": "Jane Doe",
"email": "jane@example.com"
},
"assigned_to": {
"id": "11111111-2222-3333-4444-555555555555",
"name": "Jane Doe",
"email": "jane@example.com"
},
"assigned_agent": null,
"assigned_team": null,
"matter": null,
"complete_by": "2026-01-01T00:00:00Z",
"tags": [
"nda",
"urgent"
],
"visibility": "customer",
"archived": false,
"draft": false,
"involved_people": [
{
"id": "11111111-2222-3333-4444-555555555555",
"name": "Jane Doe",
"email": "jane@example.com",
"role": "assignee",
"access_level": "write"
}
],
"shared_teams": [],
"linked_items": [],
"input_files": [],
"output_files": [],
"created_at": "2025-12-31T00:00:00Z",
"updated_at": "2025-12-31T01:00:00Z"
}
]
⌘I